Index: code/trunk/cmake/FindALUT.cmake
===================================================================
--- code/trunk/cmake/FindALUT.cmake	(revision 1755)
+++ code/trunk/cmake/FindALUT.cmake	(revision 1776)
@@ -16,4 +16,12 @@
 # But for now, we have to look around.
 # Other (Unix) systems should be able to utilize the non-framework paths.
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
+
+IF (ALUT_LIBRARY AND ALUT_INCLUDE_DIR)
+  SET (ALUT_FIND_QUIETLY TRUE)
+ENDIF (ALUT_LIBRARY AND ALUT_INCLUDE_DIR)
+
 FIND_PATH(ALUT_INCLUDE_DIR AL/alut.h
   $ENV{ALUTDIR}/include
@@ -42,4 +50,5 @@
   ../libs/freealut-1.1.0/include
   )
+
 # I'm not sure if I should do a special casing for Apple. It is
 # unlikely that other Unix systems will find the framework path.
@@ -82,9 +91,23 @@
 ENDIF(${ALUT_INCLUDE_DIR} MATCHES ".framework")
 
-SET(ALUT_FOUND "NO")
-IF(ALUT_LIBRARY)
-  SET(ALUT_FOUND "YES")
-	MESSAGE(STATUS "FreeAlut was found")
-ENDIF(ALUT_LIBRARY)
+SET (ALUT_FOUND "NO")
+IF (ALUT_LIBRARY AND ALUT_INCLUDE_DIR)
+  SET (ALUT_FOUND "YES")
+  IF (NOT ALUT_FIND_QUIETLY)
+    MESSAGE (STATUS "FreeAlut was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${ALUT_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${ALUT_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    alut")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT ALUT_FIND_QUIETLY)
+ELSE (ALUT_LIBRARY AND ALUT_INCLUDE_DIR)
+  IF (NOT ALUT_INCLUDE_DIR)
+    MESSAGE (SEND_ERROR "FreeAlut include path was not found.")
+  ENDIF (NOT ALUT_INCLUDE_DIR)
+  IF (NOT ALUT_LIBRARY)
+    MESSAGE (SEND_ERROR "FreeAlut library was not found.")
+  ENDIF (NOT ALUT_LIBRARY)
+ENDIF (ALUT_LIBRARY AND ALUT_INCLUDE_DIR)
 
 
Index: code/trunk/cmake/FindBoost.cmake
===================================================================
--- code/trunk/cmake/FindBoost.cmake	(revision 1755)
+++ code/trunk/cmake/FindBoost.cmake	(revision 1776)
@@ -2,4 +2,7 @@
 # use with cation
 # Nicolas Schlumberger <nico AT orxonx DOT net> (C) 2007
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 #
 # - Find the Boost includes and libraries.
@@ -50,7 +53,4 @@
 # INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
 # LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
-#
-# In Windows, we make the assumption that, if the Boost files are installed, the default directory
-# will be C:\boost.
 
 #
@@ -60,4 +60,8 @@
 #    to use Link Directories.
 #
+
+IF (Boost_INCLUDE_DIR)
+  SET (Boost_INCLUDE_FIND_QUIETLY TRUE)
+ENDIF (Boost_INCLUDE_DIR)
 
 IF(WIN32)
@@ -75,5 +79,5 @@
 # BOOST_LIB_DIAGNOSTIC will cause the auto-linking code to emit a #pragma message each time
 # a library is selected for linking.
-  SET(Boost_LIB_DIAGNOSTIC_DEFINITIONS "-DBOOST_LIB_DIAGNOSTIC")
+#  SET(Boost_LIB_DIAGNOSTIC_DEFINITIONS "-DBOOST_LIB_DIAGNOSTIC")
 #  SET(Boost_LIB_PREFIX "lib")
 #  SET(Boost_LIB_SUFFIX "gcc-mt-1_33_1.lib")
@@ -81,5 +85,5 @@
 
 
-SET(BOOST_INCLUDE_PATH_DESCRIPTION "directory containing the boost include files. E.g /usr/local/include/boost-1_33_1 or c:\\boost\\include\\boost-1_33_1")
+SET(BOOST_INCLUDE_PATH_DESCRIPTION "directory containing the boost include files.")
 
 SET(BOOST_DIR_MESSAGE "Set the Boost_INCLUDE_DIR cmake cache entry to the ${BOOST_INCLUDE_PATH_DESCRIPTION}")
@@ -90,12 +94,4 @@
   SET(BOOST_DIR_SEARCH ${BOOST_DIR_SEARCH}/include)
 ENDIF(BOOST_DIR_SEARCH)
-
-IF(WIN32)
-  SET(BOOST_DIR_SEARCH
-    ${BOOST_DIR_SEARCH}
-    C:/boost/include
-    D:/boost/include
-  )
-ENDIF(WIN32)
 
 # Add in some path suffixes. These will have to be updated whenever a new Boost version comes out.
@@ -114,20 +110,16 @@
 # Look for an installation.
 #
-IF(WIN32)
-  SET(Boost_INCLUDE_DIR
+FIND_PATH(Boost_INCLUDE_DIR NAMES boost/config.hpp PATH_SUFFIXES ${SUFFIX_FOR_PATH} PATHS
+
+# Look in other places.
+  ${BOOST_DIR_SEARCH}
+
 #    ../libs/boost_1_33_1
     ../libs/boost_1_34_1
-#    ../libs/boost_1_35_0
-  )
-ELSE(WIN32)
-  FIND_PATH(Boost_INCLUDE_DIR NAMES boost/config.hpp PATH_SUFFIXES ${SUFFIX_FOR_PATH} PATHS
-
-# Look in other places.
-    ${BOOST_DIR_SEARCH}
+#    ../libs/boost-1_35_0
 
 # Help the user find it if we cannot.
-    DOC "The ${BOOST_INCLUDE_PATH_DESCRIPTION}"
-  )
-ENDIF(WIN32)
+  DOC "The ${BOOST_INCLUDE_PATH_DESCRIPTION}"
+)
 
 # Assume we didn't find it.
@@ -175,5 +167,4 @@
     MARK_AS_ADVANCED(Boost_INCLUDE_DIR)
   ENDIF(EXISTS "${Boost_INCLUDE_DIR}")
-
   IF(Boost_LIBRARY_DIR AND EXISTS "${Boost_LIBRARY_DIR}")
     SET(Boost_LIBRARY_DIRS ${Boost_LIBRARY_DIR})
@@ -260,7 +251,6 @@
     MARK_AS_ADVANCED(Boost_${name}_LIBRARY Boost_${name}_LIBRARY_DEBUG)
   ELSE(Boost_${name}_LIBRARY)
-    MESSAGE(STATUS "sdfds")
     IF(NOT Boost_FIND_QUIETLY)
-      MESSAGE(STATUS "Boost ${name} library was not found.")
+      MESSAGE(SEND_ERROR "Boost ${name} library was not found.")
     ELSE(NOT Boost_FIND_QUIETLY)
       IF(Boost_FIND_REQUIRED_${name})
@@ -284,19 +274,38 @@
   SET(Boost_LIBRARIES)
   FOREACH(library ${Boost_FIND_LIBRARIES})
+    IF (Boost_${library}_LIBRARY)
+      SET (Boost_${name}_LIBRARY_FIND_QUIETLY TRUE)
+    ENDIF (Boost_${library}_LIBRARY)
+
     BOOST_FIND_LIBRARY(${library})
     IF(Boost_${library}_FOUND)
       SET(Boost_LIBRARIES ${Boost_LIBRARIES} ${Boost_${library}_LIBRARIES})
-      MESSAGE(STATUS "Found BoostLibrary: ${library}")
+      IF (NOT Boost_${name}_LIBRARY_FIND_QUIETLY)
+        MESSAGE(STATUS "Found BoostLibrary: ${library}")
+        IF (VERBOSE_FIND)
+          MESSAGE (STATUS "  library path: ${Boost_${library}_LIBRARIES}")
+        ENDIF (VERBOSE_FIND)
+      ENDIF (NOT Boost_${name}_LIBRARY_FIND_QUIETLY)
     ENDIF(Boost_${library}_FOUND)
   ENDFOREACH(library)
+ELSE(Boost_LIBRARY_DIRS)
+  MESSAGE(SEND_ERROR "Boost libraries not found: ${Boost_FIND_COMPONENTS}")
 ENDIF(Boost_LIBRARY_DIRS)
 
 IF(NOT Boost_FOUND)
   IF(NOT Boost_FIND_QUIETLY)
-    MESSAGE(STATUS "Boost was not found. ${BOOST_DIR_MESSAGE}")
+    MESSAGE(SEND_ERROR "Boost was not found. ${BOOST_DIR_MESSAGE}")
   ELSE(NOT Boost_FIND_QUIETLY)
     IF(Boost_FIND_REQUIRED)
-      MESSAGE(FATAL_ERROR "Boost was not found. ${BOOST_DIR_MESSAGE}")
+      MESSAGE(SEND_ERROR "Boost was not found. ${BOOST_DIR_MESSAGE}")
     ENDIF(Boost_FIND_REQUIRED)
   ENDIF(NOT Boost_FIND_QUIETLY)
+ELSE(NOT Boost_FOUND)
+  IF (NOT Boost_INCLUDE_FIND_QUIETLY)
+    MESSAGE(STATUS "Boost include path was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${Boost_INCLUDE_DIR}")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT Boost_INCLUDE_FIND_QUIETLY)
 ENDIF(NOT Boost_FOUND)
+
Index: code/trunk/cmake/FindCEGUI.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI.cmake	(revision 1755)
+++ code/trunk/cmake/FindCEGUI.cmake	(revision 1776)
@@ -15,14 +15,51 @@
 #
 # Redistribution and use is allowed according to the terms of the BSD license.
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
-IF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR)
+IF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR AND CEGUI_LIB_DIR AND CEGUI_SCRIPT_LIBRARIES)
     SET(CEGUI_FIND_QUIETLY TRUE) # Already in cache, be silent
-ENDIF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR)
+ENDIF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR AND CEGUI_LIB_DIR AND CEGUI_SCRIPT_LIBRARIES)
 
 IF (WIN32) #Windows
-    MESSAGE(STATUS "Looking for CEGUI")
-    SET(CEGUI_INCLUDE_DIR ../libs/ogre/Dependencies/include/CEGUI)
-    SET(CEGUI_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release/lib)
+    FIND_PATH(CEGUI_INCLUDE_DIR CEGUI.h
+        ../libs/cegui-0.6.1/include
+    )
+
     SET(CEGUI_LIBRARIES debug CEGUIBase_d optimized CEGUIBase)
+    FIND_LIBRARY(CEGUI_LIBDIR NAMES ${CEGUI_LIBRARIES} PATHS
+        ../libs/cegui-0.6.1/bin
+    )
+
+    # Strip the filename from the path
+    IF (CEGUI_LIBDIR)
+        GET_FILENAME_COMPONENT(CEGUI_LIBDIR ${CEGUI_LIBDIR} PATH)
+        SET (CEGUI_LIB_DIR ${CEGUI_LIBDIR} CACHE FILEPATH "")
+    ENDIF (CEGUI_LIBDIR)
+
+    IF (NOT CEGUI_SCRIPT_LIBDIR)
+        # Search Lua script module
+        SET(CEGUI_SCRIPT_LIBRARIES "CEGUILuaScriptModule")
+        FIND_LIBRARY(CEGUI_SCRIPT_LIBDIR NAMES ${CEGUI_SCRIPT_LIBRARIES} PATHS
+            ../libs/cegui-0.6.1/bin
+        )
+        IF (NOT CEGUI_SCRIPT_LIBDIR)
+            SET(CEGUI_SCRIPT_LIBRARIES "CEGUILua")
+            FIND_LIBRARY(CEGUI_SCRIPT_LIBDIR NAMES ${CEGUI_SCRIPT_LIBRARIES} PATHS
+                ../libs/cegui-0.6.1/bin
+            )
+            IF (NOT CEGUI_SCRIPT_LIBDIR)
+                SET(CEGUI_SCRIPT_LIBRARIES)
+            ENDIF (NOT CEGUI_SCRIPT_LIBDIR)
+        ENDIF (NOT CEGUI_SCRIPT_LIBDIR)
+    ENDIF (NOT CEGUI_SCRIPT_LIBDIR)
+
+    # Strip the filename from the path
+    IF (CEGUI_SCRIPT_LIBDIR)
+        GET_FILENAME_COMPONENT(CEGUI_SCRIPT_LIBDIR ${CEGUI_SCRIPT_LIBDIR} PATH)
+        SET (CEGUI_SCRIPT_LIB_DIR ${CEGUI_SCRIPT_LIBDIR} CACHE FILEPATH "")
+    ENDIF (CEGUI_SCRIPT_LIBDIR)
+
 ELSE (WIN32) #Unix
     FIND_PACKAGE(PkgConfig)
@@ -31,27 +68,44 @@
     SET(CEGUI_LIB_DIR ${CEGUI_LIBDIR})
     SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
+    SET(CEGUI_SCRIPT_LIBRARIES "CEGUILuaScriptModule")
+    SET(CEGUI_SCRIPT_LIB_DIR)
 ENDIF (WIN32)
 
-#Do some preparation
-SEPARATE_ARGUMENTS(CEGUI_INCLUDE_DIR)
-SEPARATE_ARGUMENTS(CEGUI_LIBRARIES)
+IF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES AND CEGUI_LIB_DIR AND CEGUI_SCRIPT_LIBRARIES)
+    SET(CEGUI_FOUND TRUE)
 
-SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIR} CACHE PATH "")
-SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
-SET(CEGUI_SCRIPT_LIBRARIES "CEGUILuaScriptModule" CACHE STRING "")
-SET(CEGUI_LIB_DIR ${CEGUI_LIB_DIR} CACHE PATH "")
+    #Do some preparation
+    SEPARATE_ARGUMENTS(CEGUI_INCLUDE_DIR)
+    SEPARATE_ARGUMENTS(CEGUI_LIBRARIES)
 
-IF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES)
-    SET(CEGUI_FOUND TRUE)
-ENDIF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES)
+    SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIR} CACHE PATH "")
+    SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
+    SET(CEGUI_LIB_DIR ${CEGUI_LIB_DIR} CACHE PATH "")
+    SET(CEGUI_SCRIPT_LIBRARIES ${CEGUI_SCRIPT_LIBRARIES} CACHE PATH "")
+ENDIF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES AND CEGUI_LIB_DIR AND CEGUI_SCRIPT_LIBRARIES)
 
 IF (CEGUI_FOUND)
     IF (NOT CEGUI_FIND_QUIETLY)
-        MESSAGE(STATUS "  libraries : ${CEGUI_LIBRARIES} from ${CEGUI_LIB_DIR}")
-        MESSAGE(STATUS "  includes  : ${CEGUI_INCLUDE_DIR}")
+        MESSAGE(STATUS "CEGUI was found.")
+        IF (VERBOSE_FIND)
+            MESSAGE (STATUS "  include path: ${CEGUI_INCLUDE_DIR}")
+            MESSAGE (STATUS "  library path: ${CEGUI_LIB_DIR}")
+            MESSAGE (STATUS "  libraries:    ${CEGUI_LIBRARIES}")
+            MESSAGE (STATUS "           :    ${CEGUI_SCRIPT_LIBRARIES}")
+        ENDIF (VERBOSE_FIND)
     ENDIF (NOT CEGUI_FIND_QUIETLY)
 ELSE (CEGUI_FOUND)
-    IF (CEGUI_FIND_REQUIRED)
-        MESSAGE(FATAL_ERROR "Could not find CEGUI")
-    ENDIF (CEGUI_FIND_REQUIRED)
+    IF (NOT CEGUI_INCLUDE_DIR)
+        MESSAGE(SEND_ERROR "CEGUI include path was not found.")
+    ENDIF (NOT CEGUI_INCLUDE_DIR)
+    IF (NOT CEGUI_LIB_DIR)
+        MESSAGE(SEND_ERROR "CEGUI library was not found.")
+    ENDIF (NOT CEGUI_LIB_DIR)
+    IF (NOT CEGUI_LIBRARIES)
+        MESSAGE(SEND_ERROR "CEGUI libraries not known.")
+    ENDIF (NOT CEGUI_LIBRARIES)
+    IF (NOT CEGUI_SCRIPT_LIBRARIES)
+        MESSAGE(SEND_ERROR "CEGUI Lua script module was not found.")
+    ENDIF (NOT CEGUI_SCRIPT_LIBRARIES)
 ENDIF (CEGUI_FOUND)
+
Index: code/trunk/cmake/FindCEGUI_OGRE.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI_OGRE.cmake	(revision 1755)
+++ code/trunk/cmake/FindCEGUI_OGRE.cmake	(revision 1776)
@@ -15,8 +15,11 @@
 #
 # Redistribution and use is allowed according to the terms of the BSD license.
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
-IF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR)
+IF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIB_DIR)
     SET(CEGUI_OGRE_FIND_QUIETLY TRUE) # Already in cache, be silent
-ENDIF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR)
+ENDIF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIB_DIR)
 
 IF (WIN32) #Windows
@@ -41,16 +44,26 @@
 SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRE_LIB_DIR} CACHE PATH "")
 
-IF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES)
+IF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_LIB_DIR)
     SET(CEGUI_OGRE_FOUND TRUE)
-ENDIF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES)
+ENDIF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_LIB_DIR)
 
 IF (CEGUI_OGRE_FOUND)
     IF (NOT CEGUI_OGRE_FIND_QUIETLY)
-        MESSAGE(STATUS "  libraries : ${CEGUI_OGRE_LIBRARIES} from ${CEGUI_OGRE_LIB_DIR}")
-        MESSAGE(STATUS "  includes  : ${CEGUI_OGRE_INCLUDE_DIR}")
+        MESSAGE(STATUS "CEGUI_Ogre was found.")
+        IF (VERBOSE_FIND)
+            MESSAGE (STATUS "  include path: ${CEGUI_OGRE_INCLUDE_DIR}")
+            MESSAGE (STATUS "  library path: ${CEGUI_OGRE_LIB_DIR}")
+            MESSAGE (STATUS "  libraries:    ${CEGUI_OGRE_LIBRARIES}")
+        ENDIF (VERBOSE_FIND)
     ENDIF (NOT CEGUI_OGRE_FIND_QUIETLY)
 ELSE (CEGUI_OGRE_FOUND)
-    IF (CEGUI_OGRE_FIND_REQUIRED)
-        MESSAGE(FATAL_ERROR "Could not find CEGUI_OGRE")
-    ENDIF (CEGUI_OGRE_FIND_REQUIRED)
+    IF (NOT CEGUI_OGRE_INCLUDE_DIR)
+        MESSAGE(SEND_ERROR "CEGUI_Ogre include path was not found.")
+    ENDIF (NOT CEGUI_OGRE_INCLUDE_DIR)
+    IF (NOT CEGUI_OGRE_LIB_DIR)
+        MESSAGE(SEND_ERROR "CEGUI_Ogre library was not found.")
+    ENDIF (NOT CEGUI_OGRE_LIB_DIR)
+    IF (NOT CEGUI_OGRE_LIBRARIES)
+        MESSAGE(SEND_ERROR "CEGUI_Ogre libraries not known.")
+    ENDIF (NOT CEGUI_OGRE_LIBRARIES)
 ENDIF (CEGUI_OGRE_FOUND)
Index: code/trunk/cmake/FindDirectX.cmake
===================================================================
--- code/trunk/cmake/FindDirectX.cmake	(revision 1755)
+++ code/trunk/cmake/FindDirectX.cmake	(revision 1776)
@@ -5,4 +5,11 @@
   #   DirectX_INCLUDE_DIR  - include directory for DirectX
   #   DirectX_LIB_DIR      - lib directory for DirectX
+  #
+  # Several changes and additions by Fabian 'x3n' Landau
+  #                 > www.orxonox.net <
+
+  IF (DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
+    SET(DirectX_FIND_QUIETLY TRUE)
+  ENDIF (DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
 
   set(DirectX_FOUND "NO")
@@ -17,18 +24,24 @@
   )
 
-  if(DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
-    set(DirectX_FOUND "YES")
-  endif(DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
+  IF (DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
+    SET (DirectX_FOUND "YES")
+  ENDIF (DirectX_INCLUDE_DIR AND DirectX_LIB_DIR)
 
-  if (DirectX_FOUND)
-    if (NOT DirectX_FIND_QUIETLY)
-      message(STATUS "Found DirectX")
-    endif (NOT DirectX_FIND_QUIETLY)
-  else (DirectX_FOUND)
-    if (DirectX_FIND_REQUIRED)
-      message(FATAL_ERROR "Could not find DirectX")
-    else (DirectX_FOUNC)
-      message(STATUS "Could not find DirectX")
-    endif (DirectX_FIND_REQUIRED)
-  endif (DirectX_FOUND)
+  IF (DirectX_FOUND)
+    IF (NOT DirectX_FIND_QUIETLY)
+      MESSAGE(STATUS "DirectX was found.")
+      IF (VERBOSE_FIND)
+        MESSAGE (STATUS "  include path: ${DirectX_INCLUDE_DIR}")
+        MESSAGE (STATUS "  library path: ${DirectX_LIB_DIR}")
+        MESSAGE (STATUS "  libraries:    dinput8.lib")
+      ENDIF (VERBOSE_FIND)
+    ENDIF (NOT DirectX_FIND_QUIETLY)
+  ELSE (DirectX_FOUND)
+    IF (NOT DirectX_INCLUDE_DIR)
+      MESSAGE(SEND_ERROR "DirectX include path was not found.")
+    ENDIF (NOT DirectX_INCLUDE_DIR)
+    IF (NOT DirectX_LIB_DIR)
+      MESSAGE(SEND_ERROR "DirectX library was not found.")
+    ENDIF (NOT DirectX_LIB_DIR)
+  ENDIF (DirectX_FOUND)
 ENDIF(WIN32)
Index: code/trunk/cmake/FindENet.cmake
===================================================================
--- code/trunk/cmake/FindENet.cmake	(revision 1755)
+++ code/trunk/cmake/FindENet.cmake	(revision 1776)
@@ -10,4 +10,6 @@
 #  http://themanaworld.org/
 #
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
 IF (ENet_INCLUDE_DIR AND ENet_LIBRARY)
@@ -28,25 +30,33 @@
     )
 
-IF(WIN32)
-  SET(WINDOWS_ENET_DEPENDENCIES "ws2_32;winmm")
-  SET(ENet_LIBRARY ${ENet_LIBRARY} ${WINDOWS_ENET_DEPENDENCIES})
-ENDIF(WIN32)
-
+SET(ENET_FOUND FALSE)
 IF (ENet_INCLUDE_DIR AND ENet_LIBRARY)
     SET(ENET_FOUND TRUE)
     SET(ENET_INCLUDE_DIR ${ENet_INCLUDE_DIR})
+
+    IF(WIN32)
+        SET(WINDOWS_ENET_DEPENDENCIES "ws2_32;winmm")
+        SET(ENet_LIBRARY ${ENet_LIBRARY} ${WINDOWS_ENET_DEPENDENCIES})
+    ENDIF(WIN32)
+
     SET(ENET_LIBRARIES ${ENet_LIBRARY})
-ELSE (ENet_INCLUDE_DIR AND ENet_LIBRARY)
-    SET(ENET_FOUND FALSE)
 ENDIF (ENet_INCLUDE_DIR AND ENet_LIBRARY)
 
 IF (ENET_FOUND)
     IF (NOT ENet_FIND_QUIETLY)
-        MESSAGE(STATUS "Found enet: ${ENet_LIBRARY}")
+        MESSAGE(STATUS "ENet was found.")
+        IF (VERBOSE_FIND)
+            MESSAGE (STATUS "  include path: ${ENet_INCLUDE_DIR}")
+            MESSAGE (STATUS "  library path: ${ENet_LIBRARY}")
+            MESSAGE (STATUS "  libraries:    enet")
+        ENDIF (VERBOSE_FIND)
     ENDIF (NOT ENet_FIND_QUIETLY)
 ELSE (ENET_FOUND)
-    IF (ENet_FIND_REQUIRED)
-        MESSAGE(FATAL_ERROR "Could NOT find enet")
-    ENDIF (ENet_FIND_REQUIRED)
+    IF (NOT ENet_INCLUDE_DIR)
+        MESSAGE(SEND_ERROR "ENet include path was not found.")
+    ENDIF (NOT ENet_INCLUDE_DIR)
+    IF (NOT ENet_LIBRARY)
+        MESSAGE(SEND_ERROR "ENet library was not found.")
+    ENDIF (NOT ENet_LIBRARY)
 ENDIF (ENET_FOUND)
 
Index: code/trunk/cmake/FindLua.cmake
===================================================================
--- code/trunk/cmake/FindLua.cmake	(revision 1755)
+++ code/trunk/cmake/FindLua.cmake	(revision 1776)
@@ -8,4 +8,7 @@
 #
 #  authors: Benjamin Knecht, Reto Grieder
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
 IF (Lua_LIBRARIES AND Lua_INCLUDE_DIR)
@@ -14,5 +17,5 @@
   SET(Lua_FOUND TRUE)
   SET(Lua_FIND_QUIETLY TRUE) 
-  MESSAGE(STATUS "Lua was found.")
+#  MESSAGE(STATUS "Lua was found.")
 
 ELSE (Lua_LIBRARIES AND Lua_INCLUDE_DIR)
@@ -21,5 +24,5 @@
     /usr/include/lua5.1
     /usr/local/include/lua5.1
-    ../libs/lua-5.1.3/src)
+    ../libs/lua-5.1.3/include)
 
   FIND_PATH(Lua_INCLUDE_DIR_50 lua.h
@@ -34,10 +37,10 @@
 
   FIND_LIBRARY(Lua_LIBRARY_1_50 NAMES lua50 lua PATHS
-	/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1/lib #tardis
+    /usr/pack/lua-5.0.3-sd/i686-debian-linux3.1/lib #tardis
     /usr/lib
     /usr/local/lib)
 
   FIND_LIBRARY(Lua_LIBRARY_2_50 NAMES lualib50 lualib PATHS
-	/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1/lib #tardis
+    /usr/pack/lua-5.0.3-sd/i686-debian-linux3.1/lib #tardis
     /usr/lib
     /usr/local/lib)
@@ -51,4 +54,5 @@
     SET(Lua_INCLUDE_DIR ${Lua_INCLUDE_DIR_51} CACHE PATH "")
     SET(Lua_LIBRARIES ${Lua_LIBRARY_51} CACHE FILEPATH "")
+    SET(Lua_LIBRARY_NAMES "lua5.1 lua")
 
   ELSEIF(Lua_INCLUDE_DIR_50 AND Lua_LIBRARY_1_50 AND Lua_LIBRARY_2_50)
@@ -59,4 +63,5 @@
     SET(Lua_INCLUDE_DIR ${Lua_INCLUDE_DIR_50} CACHE PATH "")
     SET(Lua_LIBRARIES ${Lua_LIBRARY_1_50} ${Lua_LIBRARY_2_50} CACHE FILEPATH "")
+    SET(Lua_LIBRARY_NAMES "lua50 lua, lualib50 lualib")
 
   ENDIF (Lua_INCLUDE_DIR_51 AND Lua_LIBRARY_51)
@@ -64,9 +69,31 @@
 
   IF (Lua_FOUND)
-    MESSAGE(STATUS "Found Lua: ${Lua_LIBRARIES}")
+    MESSAGE(STATUS "Lua was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${Lua_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${Lua_LIBRARIES}")
+      MESSAGE (STATUS "  libraries:    ${Lua_LIBRARY_NAMES}")
+    ENDIF (VERBOSE_FIND)
   ELSE (Lua_FOUND)
-    IF (Lua_FIND_REQUIRED)
-      MESSAGE(FATAL_ERROR "Could not find Lua")
-    ENDIF (Lua_FIND_REQUIRED)
+    IF (Lua_INCLUDE_DIR_51 AND NOT Lua_LIBRARY_51)
+      MESSAGE(SEND_ERROR "Lua 5.1 library was not found")
+    ENDIF (Lua_INCLUDE_DIR_51 AND NOT Lua_LIBRARY_51)
+    IF (NOT Lua_INCLUDE_DIR_51 AND Lua_LIBRARY_51)
+      MESSAGE(SEND_ERROR "Lua 5.1 include path was not found")
+    ENDIF (NOT Lua_INCLUDE_DIR_51 AND Lua_LIBRARY_51)
+
+    IF (Lua_INCLUDE_DIR_50)
+      IF (NOT Lua_LIBRARY_1_50)
+       MESSAGE(SEND_ERROR "Lua 5.0 library "lua" was not found")
+      ENDIF (NOT Lua_LIBRARY_1_50)
+      IF (NOT Lua_LIBRARY_2_50)
+       MESSAGE(SEND_ERROR "Lua 5.0 library "lualib" was not found")
+      ENDIF (NOT Lua_LIBRARY_2_50)
+    ENDIF (Lua_INCLUDE_DIR_50)
+    IF (NOT Lua_INCLUDE_DIR_50 AND Lua_LIBRARY_1_50 AND Lua_LIBRARY_2_50)
+      MESSAGE(SEND_ERROR "Lua 5.0 include path was not found")
+    ENDIF (NOT Lua_INCLUDE_DIR_50 AND Lua_LIBRARY_1_50 AND Lua_LIBRARY_2_50)
+
+    MESSAGE(SEND_ERROR "Lua was not found.")
   ENDIF (Lua_FOUND)
 
Index: code/trunk/cmake/FindOGRE.cmake
===================================================================
--- code/trunk/cmake/FindOGRE.cmake	(revision 1755)
+++ code/trunk/cmake/FindOGRE.cmake	(revision 1776)
@@ -11,14 +11,27 @@
 #
 # Redistribution and use is allowed according to the terms of the BSD license.
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
-IF (OGRE_LIBRARIES AND OGRE_INCLUDE_DIR)
-    SET(OGRE_FIND_QUIETLY TRUE) # Already in cache, be silent
-ENDIF (OGRE_LIBRARIES AND OGRE_INCLUDE_DIR)
+IF (OGRE_LIBRARIES AND OGRE_INCLUDE_DIR AND OGRE_LIB_DIR)
+    SET (OGRE_FIND_QUIETLY TRUE) # Already in cache, be silent
+ENDIF (OGRE_LIBRARIES AND OGRE_INCLUDE_DIR AND OGRE_LIB_DIR)
 
 IF (WIN32) #Windows
-    MESSAGE(STATUS "Looking for OGRE")
-    SET(OGRE_INCLUDE_DIR ../libs/ogre/OgreMain/include)
-    SET(OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release)
+    FIND_PATH(OGRE_INCLUDE_DIR Ogre.h
+        ../libs/ogre/OgreMain/include
+    )
+
     SET(OGRE_LIBRARIES debug OgreMain_d optimized OgreMain)
+    FIND_LIBRARY(OGRE_LIBDIR NAMES ${OGRE_LIBRARIES} PATHS
+        ../libs/ogre/Samples/Common/bin/Release
+    )
+
+    # Strip the filename from the path
+    IF (OGRE_LIBDIR)
+        GET_FILENAME_COMPONENT(OGRE_LIBDIR ${OGRE_LIBDIR} PATH)
+        SET (OGRE_LIB_DIR ${OGRE_LIBDIR} CACHE FILEPATH "")
+    ENDIF (OGRE_LIBDIR)
 ELSE (WIN32) #Unix
     FIND_PACKAGE(PkgConfig)
@@ -26,5 +39,5 @@
     SET(OGRE_INCLUDE_DIR ${OGRE_INCLUDE_DIRS})
     SET(OGRE_LIB_DIR ${OGRE_LIBDIR})
-    SET(OGRE_LIBRARIES ${OGRE_LIBRARIES} CACHE STRING "")
+    SET(OGRE_LIBRARIES ${OGRE_LIBRARIES})
 ENDIF (WIN32)
 
@@ -33,20 +46,30 @@
 SEPARATE_ARGUMENTS(OGRE_LIBRARIES)
 
-SET(OGRE_INCLUDE_DIR ${OGRE_INCLUDE_DIR} CACHE PATH "")
-SET(OGRE_LIBRARIES ${OGRE_LIBRARIES} CACHE STRING "")
-SET(OGRE_LIB_DIR ${OGRE_LIB_DIR} CACHE PATH "")
+SET (OGRE_INCLUDE_DIR ${OGRE_INCLUDE_DIR} CACHE PATH "")
+SET (OGRE_LIBRARIES ${OGRE_LIBRARIES} CACHE STRING "")
+SET (OGRE_LIB_DIR ${OGRE_LIB_DIR} CACHE PATH "")
 
-IF (OGRE_INCLUDE_DIR AND OGRE_LIBRARIES)
+IF (OGRE_INCLUDE_DIR AND OGRE_LIBRARIES AND OGRE_LIB_DIR)
     SET(OGRE_FOUND TRUE)
-ENDIF (OGRE_INCLUDE_DIR AND OGRE_LIBRARIES)
+ENDIF (OGRE_INCLUDE_DIR AND OGRE_LIBRARIES AND OGRE_LIB_DIR)
 
 IF (OGRE_FOUND)
     IF (NOT OGRE_FIND_QUIETLY)
-        MESSAGE(STATUS "  libraries : ${OGRE_LIBRARIES} from ${OGRE_LIB_DIR}")
-        MESSAGE(STATUS "  includes  : ${OGRE_INCLUDE_DIR}")
+        MESSAGE(STATUS "Ogre was found.")
+        IF (VERBOSE_FIND)
+            MESSAGE (STATUS "  include path: ${OGRE_INCLUDE_DIR}")
+            MESSAGE (STATUS "  library path: ${OGRE_LIB_DIR}")
+            MESSAGE (STATUS "  libraries:    ${OGRE_LIBRARIES}")
+        ENDIF (VERBOSE_FIND)
     ENDIF (NOT OGRE_FIND_QUIETLY)
 ELSE (OGRE_FOUND)
-    IF (OGRE_FIND_REQUIRED)
-        MESSAGE(FATAL_ERROR "Could not find OGRE")
-    ENDIF (OGRE_FIND_REQUIRED)
+    IF (NOT OGRE_INCLUDE_DIR)
+        MESSAGE(SEND_ERROR "Ogre include path was not found.")
+    ENDIF (NOT OGRE_INCLUDE_DIR)
+    IF (NOT OGRE_LIB_DIR)
+        MESSAGE(SEND_ERROR "Ogre library was not found.")
+    ENDIF (NOT OGRE_LIB_DIR)
+    IF (NOT OGRE_LIBRARIES)
+        MESSAGE(SEND_ERROR "Ogre libraries not known.")
+    ENDIF (NOT OGRE_LIBRARIES)
 ENDIF (OGRE_FOUND)
Index: code/trunk/cmake/FindOggVorbis.cmake
===================================================================
--- code/trunk/cmake/FindOggVorbis.cmake	(revision 1755)
+++ code/trunk/cmake/FindOggVorbis.cmake	(revision 1776)
@@ -1,2 +1,13 @@
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
+
+IF (OGG_INCLUDE_DIR AND OGG_LIBRARY)
+  SET(OGG_FIND_QUIETLY TRUE)
+ENDIF (OGG_INCLUDE_DIR AND OGG_LIBRARY)
+
+IF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+  SET(VORBIS_FIND_QUIETLY TRUE)
+ENDIF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY) 
+
 
 #SET(OGGVORBIS_LIBRARY_DIR "/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/lib")
@@ -88,14 +99,53 @@
   )
 
-SET(OGG_FOUND "NO")
-IF(OGG_LIBRARY)
-  SET(OGG_FOUND "YES")
-	MESSAGE(STATUS "Ogg was found.")
-ENDIF(OGG_LIBRARY)
+SET (OGG_FOUND "NO")
 
-SET(VORBIS_FOUND "NO")
-IF(VORBIS_LIBRARY)
-  SET(VORBIS_FOUND "YES")
-	MESSAGE(STATUS "Vorbis was found.")
-ENDIF(VORBIS_LIBRARY)
+IF (OGG_INCLUDE_DIR AND OGG_LIBRARY)
+  SET (OGG_FOUND "YES")
+  IF (NOT OGG_FIND_QUIETLY)
+    MESSAGE (STATUS "Ogg was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${OGG_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${OGG_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    ogg")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT OGG_FIND_QUIETLY)
+ELSE (OGG_INCLUDE_DIR AND OGG_LIBRARY)
+  IF (NOT OGG_INCLUDE_DIR)
+    MESSAGE (SEND_ERROR "Ogg include path was not found.")
+  ENDIF (NOT OGG_INCLUDE_DIR)
+  IF (NOT OGG_LIBRARY)
+    MESSAGE (SEND_ERROR "Ogg library was not found.")
+  ENDIF (NOT OGG_LIBRARY)
+ENDIF (OGG_INCLUDE_DIR AND OGG_LIBRARY)
 
+
+SET (VORBIS_FOUND "NO")
+
+IF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+  SET (VORBIS_FOUND "YES")
+  IF (NOT VORBIS_FIND_QUIETLY)
+    MESSAGE (STATUS "Vorbis was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${VORBIS_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${VORBIS_LIBRARY}")
+      MESSAGE (STATUS "  library path: ${VORBISENC_LIBRARY}")
+      MESSAGE (STATUS "  library path: ${VORBISFILE_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    vorbis vorbisenc vorbisfile")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT VORBIS_FIND_QUIETLY)
+ELSE (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+  IF (NOT VORBIS_INCLUDE_DIR)
+    MESSAGE (SEND_ERROR "Vorbis include path was not found.")
+  ENDIF (NOT VORBIS_INCLUDE_DIR)
+  IF (NOT VORBIS_LIBRARY)
+    MESSAGE (SEND_ERROR "Vorbis library \"vorbis\" was not found.")
+  ENDIF (NOT VORBIS_LIBRARY)
+  IF (NOT VORBISENC_LIBRARY)
+    MESSAGE (SEND_ERROR "Vorbis library \"vorbisenc\" was not found.")
+  ENDIF (NOT VORBISENC_LIBRARY)
+  IF (NOT VORBISFILE_LIBRARY)
+    MESSAGE (SEND_ERROR "Vorbis library \"vorbisfile\" was not found.")
+  ENDIF (NOT VORBISFILE_LIBRARY)
+ENDIF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+
Index: code/trunk/cmake/FindOpenAL.cmake
===================================================================
--- code/trunk/cmake/FindOpenAL.cmake	(revision 1755)
+++ code/trunk/cmake/FindOpenAL.cmake	(revision 1776)
@@ -9,4 +9,10 @@
 # used in building OpenAL.
 #
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
+
+IF (OPENAL_LIBRARY AND OPENAL_INCLUDE_DIR)
+  SET(OPENAL_FIND_QUIETLY TRUE)
+ENDIF (OPENAL_LIBRARY AND OPENAL_INCLUDE_DIR)
 
 # Created by Eric Wing. This was influenced by the FindSDL.cmake module.
@@ -82,9 +88,24 @@
 ENDIF(${OPENAL_INCLUDE_DIR} MATCHES ".framework")
 
-SET(OPENAL_FOUND "NO")
-IF(OPENAL_LIBRARY)
-  SET(OPENAL_FOUND "YES")
-	MESSAGE(STATUS "OpenAL was found.")
-ENDIF(OPENAL_LIBRARY)
+SET (OPENAL_FOUND "NO")
+
+IF (OPENAL_LIBRARY AND OPENAL_INCLUDE_DIR)
+  SET (OPENAL_FOUND "YES")
+  IF (NOT OPENAL_FIND_QUIETLY)
+    MESSAGE (STATUS "OpenAL was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${OPENAL_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${OPENAL_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    openal al OpenAL32")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT OPENAL_FIND_QUIETLY)
+ELSE (OPENAL_LIBRARY AND OPENAL_INCLUDE_DIR)
+  IF (NOT OPENAL_INCLUDE_DIR)
+    MESSAGE (SEND_ERROR "OpenAL include path was not found.")
+  ENDIF (NOT OPENAL_INCLUDE_DIR)
+  IF (NOT OPENAL_LIBRARY)
+    MESSAGE (SEND_ERROR "OpenAL library was not found.")
+  ENDIF (NOT OPENAL_LIBRARY)
+ENDIF (OPENAL_LIBRARY AND OPENAL_INCLUDE_DIR)
 
 
Index: code/trunk/cmake/FindTCL.cmake
===================================================================
--- code/trunk/cmake/FindTCL.cmake	(revision 1755)
+++ code/trunk/cmake/FindTCL.cmake	(revision 1776)
@@ -5,22 +5,12 @@
 #  TCL_LIBRARY        = path to Tcl library (tcl tcl80)
 #  TCL_LIBRARY_DEBUG  = path to Tcl library (debug)
-#  TCL_STUB_LIBRARY   = path to Tcl stub library
-#  TCL_STUB_LIBRARY_DEBUG = path to debug stub library
 #  TCL_INCLUDE_PATH   = path to where tcl.h can be found
-#  TCL_TCLSH          = path to tclsh binary (tcl tcl80)
-#  TK_LIBRARY         = path to Tk library (tk tk80 etc)
-#  TK_LIBRARY_DEBUG   = path to Tk library (debug)
-#  TK_STUB_LIBRARY    = path to Tk stub library
-#  TK_STUB_LIBRARY_DEBUG = path to debug Tk stub library
-#  TK_INCLUDE_PATH    = path to where tk.h can be found
-#  TK_INTERNAL_PATH   = path to where tkWinInt.h is found
-#  TK_WISH            = full path to the wish executable
+#
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
 
-INCLUDE(CMakeFindFrameworks)
-INCLUDE(FindTclsh)
-INCLUDE(FindWish)
-
-GET_FILENAME_COMPONENT(TCL_TCLSH_PATH "${TCL_TCLSH}" PATH)
-GET_FILENAME_COMPONENT(TK_WISH_PATH "${TK_WISH}" PATH)
+IF (TCL_LIBRARY AND TCL_INCLUDE_PATH)
+  SET(TCL_FIND_QUIETLY TRUE)
+ENDIF (TCL_LIBRARY AND TCL_INCLUDE_PATH)
 
 SET (TCLTK_POSSIBLE_LIB_PATHS
@@ -32,8 +22,6 @@
   "C:/Program Files/Tcl/lib" 
   "C:/Tcl/lib" 
+  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.5;Root]/lib
   [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.4;Root]/lib
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.3;Root]/lib
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.2;Root]/lib
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.0;Root]/lib
   /usr/lib 
   /usr/local/lib
@@ -45,67 +33,12 @@
 
 FIND_LIBRARY(TCL_LIBRARY
-  NAMES tcl tcl85 tcl8.5 tcl84 tcl8.4 tcl83 tcl8.3 tcl82 tcl8.2 tcl80 tcl8.0
+  NAMES tcl tcl85 tcl8.5 tcl84 tcl8.4
   PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
 )
 
 FIND_LIBRARY(TCL_LIBRARY_DEBUG
-  NAMES tcld tcl85d tcl8.5d tcl84d tcl8.4d tcl83d tcl8.3d tcl82d tcl8.2d tcl80d tcl8.0d
+  NAMES tcld tcl85d tcl8.5d tcl84d tcl8.4d
   PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
 )
-
-FIND_LIBRARY(TCL_STUB_LIBRARY
-  NAMES tclstub tclstub84 tclstub8.4 tclstub83 tclstub8.3 tclstub82 tclstub8.2 tclstub80 tclstub8.0
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-FIND_LIBRARY(TCL_STUB_LIBRARY_DEBUG
-  NAMES tclstubd tclstub84d tclstub8.4d tclstub83d tclstub8.3d tclstub82d tclstub8.2d tclstub80d tclstub8.0d
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-FIND_LIBRARY(TK_LIBRARY 
-  NAMES tk tk84 tk8.4 tk83 tk8.3 tk82 tk8.2 tk80 tk8.0
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-FIND_LIBRARY(TK_LIBRARY_DEBUG
-  NAMES tkd tk84d tk8.4d tk83d tk8.3d tk82d tk8.2d tk80d tk8.0d
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-FIND_LIBRARY(TK_STUB_LIBRARY 
-  NAMES tkstub tkstub84 tkstub8.4 tkstub83 tkstub8.3 tkstub82 tkstub8.2 tkstub80 tkstub8.0
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-FIND_LIBRARY(TK_STUB_LIBRARY_DEBUG
-  NAMES tkstubd tkstub84d tkstub8.4d tkstub83d tkstub8.3d tkstub82d tkstub8.2d tkstub80d tkstub8.0d
-  PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
-)
-
-CMAKE_FIND_FRAMEWORKS(Tcl)
-CMAKE_FIND_FRAMEWORKS(Tk)
-
-SET(TCL_FRAMEWORK_INCLUDES)
-IF(Tcl_FRAMEWORKS)
-  IF(NOT TCL_INCLUDE_PATH)
-    FOREACH(dir ${Tcl_FRAMEWORKS})
-      SET(TCL_FRAMEWORK_INCLUDES ${TCL_FRAMEWORK_INCLUDES} ${dir}/Headers)
-    ENDFOREACH(dir)
-  ENDIF(NOT TCL_INCLUDE_PATH)
-ENDIF(Tcl_FRAMEWORKS)
-
-SET(TK_FRAMEWORK_INCLUDES)
-IF(Tk_FRAMEWORKS)
-  IF(NOT TK_INCLUDE_PATH)
-    FOREACH(dir ${Tk_FRAMEWORKS})
-      SET(TK_FRAMEWORK_INCLUDES ${TK_FRAMEWORK_INCLUDES}
-        ${dir}/Headers ${dir}/PrivateHeaders)
-    ENDFOREACH(dir)
-  ENDIF(NOT TK_INCLUDE_PATH)
-ENDIF(Tk_FRAMEWORKS)
-
-GET_FILENAME_COMPONENT(TCL_LIBRARY_PATH "${TCL_LIBRARY}" PATH)
-GET_FILENAME_COMPONENT(TK_LIBRARY_PATH "${TK_LIBRARY}" PATH)
 
 SET (TCLTK_POSSIBLE_INCLUDE_PATHS
@@ -114,8 +47,6 @@
   "${TCL_LIBRARY_PATH}/../include"
   "${TK_LIBRARY_PATH}/../include"
+  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.5;Root]/include
   [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.4;Root]/include
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.3;Root]/include
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.2;Root]/include
-  [HKEY_LOCAL_MACHINE\\SOFTWARE\\Scriptics\\Tcl\\8.0;Root]/include
   "$ENV{ProgramFiles}/Tcl/include"
   "C:/Program Files/Tcl/include"
@@ -123,8 +54,6 @@
   /usr/include
   /usr/local/include
+  /usr/include/tcl8.5
   /usr/include/tcl8.4
-  /usr/include/tcl8.3
-  /usr/include/tcl8.2
-  /usr/include/tcl8.0
   ../libs/tcl8.5.2/generic
 )
@@ -134,38 +63,26 @@
 )
 
-FIND_PATH(TK_INCLUDE_PATH tk.h
-  ${TK_FRAMEWORK_INCLUDES} ${TCLTK_POSSIBLE_INCLUDE_PATHS}
-)
 
-IF (WIN32)
-  FIND_PATH(TK_INTERNAL_PATH tkWinInt.h
-    ${TCLTK_POSSIBLE_INCLUDE_PATHS}
-  )
-  MARK_AS_ADVANCED(TK_INTERNAL_PATH)
-ENDIF(WIN32)
-
-MARK_AS_ADVANCED(
-    TCL_TCLSH_PATH
-    TK_WISH_PATH
-    TCL_INCLUDE_PATH
-    TK_INCLUDE_PATH
-    TCL_LIBRARY
-    TCL_LIBRARY_DEBUG
-    TK_LIBRARY  
-    TK_LIBRARY_DEBUG
-  TCL_STUB_LIBRARY
-  TCL_STUB_LIBRARY_DEBUG
-  TK_STUB_LIBRARY  
-  TK_STUB_LIBRARY
-  TK_STUB_LIBRARY_DEBUG
-  )
+IF (TCL_LIBRARY AND TCL_INCLUDE_PATH)
+  IF (NOT TCL_FIND_QUIETLY)
+    MESSAGE(STATUS "Tcl was found")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${TCL_INCLUDE_PATH}")
+      MESSAGE (STATUS "  library path: ${TCL_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    tcld tcl85d tcl8.5d tcl84d tcl8.4d")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT TCL_FIND_QUIETLY)
+ELSE (TCL_LIBRARY AND TCL_INCLUDE_PATH)
+  IF (NOT TCL_INCLUDE_PATH)
+    MESSAGE(SEND_ERROR "Tcl include path was not found.")
+  ENDIF (NOT TCL_INCLUDE_PATH)
+  IF (NOT TCL_LIBRARY )
+    MESSAGE(SEND_ERROR "Tcl library was not found.")
+  ENDIF (NOT TCL_LIBRARY )
+ENDIF (TCL_LIBRARY AND TCL_INCLUDE_PATH)
 
 IF(TCL_INCLUDE_PATH)
-  IF(TK_INCLUDE_PATH)
-    IF(TCL_LIBRARY)
-      IF(TK_LIBRARY)
-        SET(TCL_FOUND 1)
-      ENDIF(TK_LIBRARY)
-    ENDIF(TCL_LIBRARY)
-  ENDIF(TK_INCLUDE_PATH)
+  IF(TCL_LIBRARY)
+    SET(TCL_FOUND 1)
+  ENDIF(TCL_LIBRARY)
 ENDIF(TCL_INCLUDE_PATH)
Index: code/trunk/cmake/FindZLIB.cmake
===================================================================
--- code/trunk/cmake/FindZLIB.cmake	(revision 1755)
+++ code/trunk/cmake/FindZLIB.cmake	(revision 1776)
@@ -3,5 +3,5 @@
 #
 #  ZLIB_INCLUDE_DIR - where to find zlib.h, etc.
-#  ZLIB_LIBRARIES   - List of libraries when using zlib.
+#  ZLIB_LIBRARY     - List of libraries when using zlib.
 #  ZLIB_FOUND       - True if zlib found.
 #
@@ -9,11 +9,12 @@
 #  to make it work on the Tardis Infrastucture of the ETH Zurich
 #
+# Several changes and additions by Fabian 'x3n' Landau
+#                 > www.orxonox.net <
+
+IF (ZLIB_INCLUDE_DIR)
+  SET(ZLIB_FIND_QUIETLY TRUE)
+ENDIF (ZLIB_INCLUDE_DIR)
 
 IF(UNIX)
-  IF (ZLIB_INCLUDE_DIR)
-  # Already in cache, be silent
-    SET(ZLIB_FIND_QUIETLY TRUE)
-  ENDIF (ZLIB_INCLUDE_DIR)
-
   FIND_PATH(ZLIB_INCLUDE_DIR zlib.h
     /usr/pack/zziplib-0.13.49-sd/include/
@@ -27,37 +28,13 @@
     PATHS /usr/pack/zziplib-0.13.49-sd/i686-debian-linux3.1/lib/ /usr/lib /usr/local/lib
   )
-
-  IF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
-    SET(ZLIB_FOUND TRUE)
-      SET( ZLIB_LIBRARIES ${ZLIB_LIBRARY} )
-  ELSE (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
-    SET(ZLIB_FOUND FALSE)
-    SET( ZLIB_LIBRARIES )
-  ENDIF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
-
-  IF (ZLIB_FOUND)
-    IF (NOT ZLIB_FIND_QUIETLY)
-      MESSAGE(STATUS "Found ZLIB: ${ZLIB_LIBRARY}")
-    ENDIF (NOT ZLIB_FIND_QUIETLY)
-  ELSE (ZLIB_FOUND)
-    IF (ZLIB_FIND_REQUIRED)
-        MESSAGE(STATUS "Looked for Z libraries named ${ZLIBS_NAMES}.")
-        MESSAGE(FATAL_ERROR "Could NOT find z library")
-    ENDIF (ZLIB_FIND_REQUIRED)
-  ENDIF (ZLIB_FOUND)
-
-  MARK_AS_ADVANCED(
-    ZLIB_LIBRARY
-    ZLIB_INCLUDE_DIR
-  )
 ENDIF(UNIX)
 
 IF(WIN32)
-  IF(EXISTS "../libs/ogre/Dependencies/lib/Release")
-    SET (ZLIB_LIBRARY_DIR "../libs/ogre/Dependencies/lib/Release")
-  ENDIF(EXISTS "../libs/ogre/Dependencies/lib/Release")
+  IF(EXISTS "../libs/zlib")
+    SET (ZLIB_LIBRARY_DIR "../libs/zlib")
+  ENDIF(EXISTS "../libs/zlib")
 
   FIND_PATH(ZLIB_INCLUDE_DIR zlib.h
-    ../libs/ogre/Dependencies/include
+    ../libs/zlib/include
   )
 
@@ -66,9 +43,32 @@
     PATHS ${ZLIB_LIBRARY_DIR}
   )
+ENDIF(WIN32)
 
-  IF(ZLIB_LIBRARY AND ZLIB_INCLUDE_DIR)
-    MESSAGE(STATUS "Zlib was found.")
-  ELSE(ZLIB_LIBRARY AND ZLIB_INCLUDE_DIR)
-    MESSAGE(FATAL_ERROR "Zlib was NOT found.")
-  ENDIF(ZLIB_LIBRARY AND ZLIB_INCLUDE_DIR)
-ENDIF(WIN32)
+SET(ZLIB_FOUND FALSE)
+IF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
+  SET(ZLIB_FOUND TRUE)
+ENDIF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
+
+IF (ZLIB_FOUND)
+  IF (NOT ZLIB_FIND_QUIETLY)
+    MESSAGE(STATUS "ZLIB was found.")
+    IF (VERBOSE_FIND)
+      MESSAGE (STATUS "  include path: ${ZLIB_INCLUDE_DIR}")
+      MESSAGE (STATUS "  library path: ${ZLIB_LIBRARY}")
+      MESSAGE (STATUS "  libraries:    zlib")
+    ENDIF (VERBOSE_FIND)
+  ENDIF (NOT ZLIB_FIND_QUIETLY)
+ELSE (ZLIB_FOUND)
+  IF (NOT ZLIB_INCLUDE_DIR)
+    MESSAGE(SEND_ERROR "ZLIB include path was not found.")
+  ENDIF (NOT ZLIB_INCLUDE_DIR)
+  IF (NOT ZLIB_LIBRARY)
+    MESSAGE(SEND_ERROR "ZLIB was not found.")
+    MESSAGE(STATUS "Looked for Z libraries named ${ZLIBS_NAMES}.")
+  ENDIF (NOT ZLIB_LIBRARY)
+ENDIF (ZLIB_FOUND)
+
+MARK_AS_ADVANCED(
+  ZLIB_LIBRARY
+  ZLIB_INCLUDE_DIR
+)
